MPNZR(3)

SYNOPSIS
SUBROUTINE MPNZR (RS, RE, Z, TRUNC)

NAME
mpnzr - Subsidiary to DQDOTA and DQDOTI

LIBRARY
SLATEC

TYPE
ALL (MPNZR-A)

AUTHOR
(UNKNOWN)

DESCRIPTION
Modified for use with BLAS. Blank COMMON changed to named COMMON. Assumes long (i.e. (t+4)-DIGIT) fraction in R, sign = RS, exponent = RE. Normalizes, and returns 'mp' result in Z. Integer arguments RS and RE are not preserved. R*-rounding is used if TRUNC.EQ.0 The argument Z(*) and the variable R in COMMON are INTEGER arrays of size 30. See the comments in the routine MPBLAS for the reason for this choice.

SEE ALSO
DQDOTA, DQDOTI, MPBLAS

ROUTINES CALLED
MPERR, MPOVFL, MPUNFL

COMMON BLOCKS
MPCOM

REVISION HISTORY (YYMMDD)
791001 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)
930124 Increased Array size in MPCON for SUN -r8. (RWC)